Index: branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_jeanzay.ksh
===================================================================
--- branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_jeanzay.ksh	(revision 1567)
+++ branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_jeanzay.ksh	(revision 1585)
@@ -38,5 +38,11 @@
 #====================================================
 # Turn in dry run mode ? (sys_Put_Rest, sys_Put_Out, sys_Get)
-typeset -r DRYRUN=${DRYRUN:=0}
+if ([ X${DRYRUN} != X ] && [ ${DRYRUN} = 4 ]) ; then
+  typeset -r DRYRUN=0
+  typeset -r DRYRUN_DEBUG=4
+else
+  typeset -r DRYRUN=${DRYRUN:=0}
+  typeset -r DRYRUN_DEBUG=0
+fi
 
 # YOU MUST COMPILE YOUR EXE FILES FOR DRYRUN MODE !
@@ -54,4 +60,7 @@
 # |    3     |       yes           |    no      |  no     |      no                   |
 # -------------------------------------------------------------------------------------
+# |    4     |       yes           |    yes     |  creation of RUN_DIR and Job_debug  |
+# -------------------------------------------------------------------------------------
+
 
 #=====================================================
@@ -1406,5 +1415,8 @@
              (( index_host = current_core / NB_CORE_PER_NODE ))
              host_value=${listnodes[${index_host}]}
-               echo "$host_value" >> hostlist
+             echo "$host_value" >> hostlist
+	     if [ ${DRYRUN_DEBUG} = 4 ] ; then
+		 echo "node_${index_host}_X" >> hostlist_template
+	     fi
              (( current_core = current_core + offset_comp_proc_loc ))
           done
@@ -1467,5 +1479,5 @@
         EXECUTION="${HOST_MPIRUN_COMMAND} ./script_${ExeNameOut}.ksh"
 
-        IGCM_debug_Print 1 "sys Irene : script_${ExeNameOut}.ksh contains"
+        IGCM_debug_Print 1 "sys Jean-Zay : script_${ExeNameOut}.ksh contains"
         cat script_${ExeNameOut}.ksh
 
@@ -1476,5 +1488,5 @@
   fi # ${OK_PARA_MPMD}
 
-  IGCM_debug_Print 1 "sys Irene : execution command is "
+  IGCM_debug_Print 1 "sys Jean-Zay : execution command is "
   IGCM_debug_Print 1 "$EXECUTION"
 
Index: branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1567)
+++ branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1585)
@@ -38,5 +38,11 @@
 #====================================================
 # Turn in dry run mode ? (sys_Put_Rest, sys_Put_Out, sys_Get)
-typeset -r DRYRUN=${DRYRUN:=0}
+if ([ X${DRYRUN} != X ] && [ ${DRYRUN} = 4 ]) ; then
+  typeset -r DRYRUN=0
+  typeset -r DRYRUN_DEBUG=4
+else
+  typeset -r DRYRUN=${DRYRUN:=0}
+  typeset -r DRYRUN_DEBUG=0
+fi
 
 # YOU MUST COMPILE YOUR EXE FILES FOR DRYRUN MODE !
@@ -54,4 +60,7 @@
 # |    3     |       yes           |    no      |  no     |      no                   |
 # -------------------------------------------------------------------------------------
+# |    4     |       yes           |    yes     |  creation of RUN_DIR and Job_debug  |
+# -------------------------------------------------------------------------------------
+
 
 #=====================================================
@@ -140,8 +149,12 @@
 #====================================================
 #- RUN_DIR_PATH : Temporary working directory (=> TMP)
-if [ X${PBS_JOBID} != X ] ; then
-  typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=/scratch/$PBS_O_LOGNAME.$PBS_JOBID}
+if [ ${DRYRUN_DEBUG} = 4 ] ; then
+    typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=/home/scratch01/$LOGIN/RUN_DIR}
 else
-  typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=/tmp/tmp$$}
+    if [ X${PBS_JOBID} != X ] ; then
+	typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=/scratch/$PBS_O_LOGNAME.$PBS_JOBID}
+    else
+	typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=/tmp/tmp$$}
+    fi
 fi
 
